Bug 118989 - [update] update port dns/noip to 2.1.7
Summary: [update] update port dns/noip to 2.1.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-24 12:10 UTC by Kay Abendroth
Modified: 2007-12-28 17:00 UTC (History)
0 users

See Also:


Attachments
file.diff (3.34 KB, patch)
2007-12-24 12:10 UTC, Kay Abendroth
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kay Abendroth 2007-12-24 12:10:00 UTC
New upstream release.

   - Update to 2.1.7:
       * updated noip2.c: added SkipHeaders() instead of the magic 6 line pass
       * Changed to ip1.dynupdate.no-ip.com for ip retrieval
       * added fclose() for stdin, stdout & stderr to child
       * made Force_Update work on 30 day intervals
       * added version number into shared mem and -S display

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2007-12-24 13:03:40 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

Make this a ports PR.
Comment 2 Kay Abendroth 2007-12-26 14:53:34 UTC
 This also fixes PR 118018,
 http://www.freebsd.org/cgi/query-pr.cgi?pr=118018
Comment 3 Emanuel Haupt freebsd_committer 2007-12-28 15:22:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

I will take care of it.
Comment 4 dfilter service freebsd_committer 2007-12-28 16:58:55 UTC
ehaupt      2007-12-28 16:58:50 UTC

  FreeBSD ports repository

  Modified files:
    dns/noip             Makefile distinfo 
    dns/noip/files       patch-Makefile patch-noip2.c 
  Log:
  Update to 2.1.7 which includes the following changes:
  
  * updated noip2.c: added SkipHeaders() instead of the magic 6 line pass
  * Changed to ip1.dynupdate.no-ip.com for ip retrieval
  * added fclose() for stdin, stdout & stderr to child
  * made Force_Update work on 30 day intervals
  * added version number into shared mem and -S display
  
  PR:             118989
  Submitted by:   Kay Abendroth <kay.abendroth@raxion.net> (maintainer)
  
  Revision  Changes    Path
  1.14      +1 -1      ports/dns/noip/Makefile
  1.12      +3 -3      ports/dns/noip/distinfo
  1.4       +4 -4      ports/dns/noip/files/patch-Makefile
  1.6       +7 -7      ports/dns/noip/files/patch-noip2.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Emanuel Haupt freebsd_committer 2007-12-28 16:59:01 UTC
State Changed
From-To: open->closed

Committed, thanks!